@import '../../../../style/variables';

:host {
  .mat-expansion-panel-header {
    ::ng-deep {
      .mat-content {
        display: grid;
        grid-template-columns: 1fr 2.5rem;
        align-items: center;
        justify-items: left;
        padding-right: .25rem;
      }
    }

    figure {
      justify-self: center;
      margin: 0;

      $size: 2rem;
      img {
        max-height: $size;
        max-width: $size;
      }
    }
  }

  h4 {
    font-weight: bold;
    margin-bottom: 0;
  }

  h5 {
    margin: 0;
  }

  $li-counter-size: 3rem;
  ol {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem;
    padding: 0;
    list-style: none;
    counter-reset: custom-counter;

    li {
      display: grid;
      grid-template-columns: $li-counter-size 1fr 2rem;
      align-items: center;
      counter-increment: custom-counter;
      justify-items: center;

      &::before {
        content: counter(custom-counter);
        $size: 2rem;
        width: $size;
        height: $size;
        line-height: $size;
        color: $fmi-plateau-accent-color-contrast-darker;
        background-color: $fmi-plateau-accent-color-darker;
        border-radius: 50%;
        text-align: center;
      }
    }
  }

  article {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    padding: .5rem 0;
    justify-self: left;

    &.educator {
      margin-left: $li-counter-size;
    }
  }

  .license-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;

    > * {
      margin-left: .5rem;

      &:first-child {
        margin-left: 0;
      }
    }

    .mat-icon {
      color: $fmi-plateau-warn-color-default;
      font-size: medium;
      height: auto;
    }
  }
}
